1. Bill Payments
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Checkout Request
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Payment Request
    • Payment Order Request
      POST
    • Reject Order By OriginatorConversationId
      POST
    • Find Payment Order By OriginatorConversationId
      GET
  • Collection Request
    • Find Express Deposit By OriginatorConversationId
      GET
    • Express Deposit Request
      POST
  • Bill Payments
    • Bill Number
      POST
    • Find Bill Number By Service Id and Account Number
      GET
    • Bill Request
      POST
    • Find Bill Request By Originator Converstion Id
      GET
    • Find Bill Services
      GET
  • KYC
    • Account Number Validation Request
      POST
    • KYC Validation
      POST
    • KYC Validation
      GET
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Payment Links
    • Find Payment Links By Id
    • Create Payment Link
    • Update Payment Link
  • Customer Accounts
    • Balance Check
    • Find Charges By TransactionTypeId
  • Airtime Purchase
    • Airtime Purchase
    • Find Airtime Purchases By OriginatorConversationId
  1. Bill Payments

Bill Number

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
POST
/v1/bill-numbers
This is a POST request that is responsible for saving billing information for a particular service.
Note: A valid token is required for authentication as it expires after every hour. Refer to Token Request to generate a new token.
The required Json body contains :

serviceId: This is a number that represents the different services available. Check the table Services for the list of service Ids
accountNumber: Account number reference for pay bill transactions.
phoneNumber: This is the mobile number of the customer doing the payment
transactionDesc: This is a brief description of the payment.
RemindMeDueDate: This is a boolean, that can be set to notify a customer of the due date of payment of a service.

Data definition#

Field NameData TypeOptions
serviceIdintegerMandatory
accountNumberstringMandatory
phoneNumberstringOptional
transactionDescstringOptional
RemindMeDueDatebooleanOptional

Sample success response:#

{
    "message": {
        "appDomainName": "LIVE",
        "remarks": "Bill Number submission accepted",
        "customerName": "JOSEPH WAMBURA",
        "systemConversationId": "7f520000-0e89-0ee0-f4a9-08d9922fd97b",
        "lastKnownBalance": 2697.0,
        "dueDate": "2021-10-18T00:00:00",
        "timestamp": "2021-10-18T12:07:28.1220926Z"
    }
}

Sample failed response:#

{
    "appDomainName": "LIVE",
    "timestamp": "2021-10-18T07:14:53.1362329Z",
    "reason": "Account number number is invalid."
}

Sample validation errors response:#

{
    "errors": {
        "AccountNumber": [
            "The AccountNumber field is required."
        ]
    },
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "One or more validation errors occurred.",
    "status": 400,
    "traceId": "00-03529608f740804d9e7bf8210d6e1cb9-df15d6e73e04804c-00"
}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://auth.zamupay.com/v1/bill-numbers' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "serviceCode": "string",
    "accountNumber": "string",
    "phoneNumber": "string",
    "transactionDesc": "string",
    "RemindMeDueDate": true
}'
Response Response Example
{}
Modified at 2026-01-29 06:17:07
Previous
Express Deposit Request
Next
Find Bill Number By Service Id and Account Number
Built with